### Method

# EDataServer SourceAuthentication set_credential_name

since: 3.16

#### Declaration [src]

    void
    e_source_authentication_set_credential_name (
      ESourceAuthentication* extension,
      const gchar* credential_name
    )

#### Description [src]

Sets the credential name used to pass the stored or gathered credential (like password) into the e_source_invoke_authenticate(). This is a counterpart of the authentication method. The `NULL` means to use the default name, which is #E_SOURCE_CREDENTIAL_PASSWORD.

The internal copy of `credential_name` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.16

Sets property | `EDataServer.SourceAuthentication:credential-name`

#### Parameters

`credential_name`

  Type: `const gchar*`

  A credential name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.